## ros-humble-rviz-satellite 4.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rviz_satellite)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wunused)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rviz_common REQUIRED)
find_package(rviz_default_plugins REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(pluginlib REQUIRED)
find_package(angles REQUIRED)

find_package(Qt5 COMPONENTS Network REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/aerialmap_display.cpp
  src/field.cpp
  src/tile.cpp
  src/tile_client.cpp
  src/tile_object.cpp
)

target_compile_options(
  ${PROJECT_NAME}
  PUBLIC
  "-DRVIZ_SATELLITE_VERSION=\"${rviz_satellite_VERSION}\"")

target_include_directories(${PROJECT_NAME} PRIVATE src)
target_link_libraries(${PROJECT_NAME} Qt5::Network)

# prevent pluginlib from using boost
target_compile_definitions(${PROJECT_NAME} PUBLIC "PLUGINLIB__DISABLE_BOOST_FUNCTIONS")
set_property(TARGET ${PROJECT_NAME} PROPERTY AUTOMOC ON)


if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  find_package(ament_cmake_gtest REQUIRED)

  ament_add_gtest(test_field test/test_field.cpp)
  target_link_libraries(test_field ${PROJECT_NAME})
  target_include_directories(test_field PRIVATE src)
endif()

ament_target_dependencies(${PROJECT_NAME} angles rclcpp pluginlib rviz_common rviz_default_plugins sensor_msgs tf2_ros)
ament_export_dependencies(rclcpp pluginlib rviz_common rviz_default_plugins sensor_msgs tf2_ros)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME} HAS_LIBRARY_TARGET)

install(
  DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/icons"
  DESTINATION "share/${PROJECT_NAME}")

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

# Install demo
install(FILES demo/demo.launch.xml
  DESTINATION share/${PROJECT_NAME}/launch)
install(PROGRAMS demo/publish_demo_data
  DESTINATION lib/${PROJECT_NAME})

pluginlib_export_plugin_description_file(rviz_common plugin_description.xml)
ament_package()

=== debian/changelog ===
ros-humble-rviz-satellite (4.0.0-1bookworm) bookworm; urgency=high

  * ROS2 support!
  * Contributors: Lee Hicks, Marcel Zeilinger, Tim Clephas, Vitaliy Bondar, ceranit

 -- Andre Schröder <andre.schroeder@tomtom.com>  Sun, 19 Feb 2023 16:00:00 -0000

ros-humble-rviz-satellite (3.0.2-1bookworm) bookworm; urgency=high

  * Fix time synchronization of NavSat transform lookup

 -- Andre Schröder <andre.schroeder@tomtom.com>  Mon, 12 Oct 2020 16:00:00 -0000

ros-humble-rviz-satellite (3.0.1-1bookworm) bookworm; urgency=high

  * Fix cleanup bug breaking the navsat-tile transforms (#84, #85)

 -- Andre Schröder <andre.schroeder@tomtom.com>  Sun, 02 Aug 2020 16:00:00 -0000

ros-humble-rviz-satellite (3.0.0-1bookworm) bookworm; urgency=high

  * Code cleanup (#76, #75)
  * Remove the 'resolution' property (#74)
  * Fix frame jitter by splitting map and fixed-frame transforms (#56)
  * Cleanup cmake (#70)
  * Remove NED and NWU frame conversion options

 -- Andre Schröder <andre.schroeder@tomtom.com>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-rviz-satellite (2.0.0-1bookworm) bookworm; urgency=high

  * Drop Qt4 support

 -- Andre Schröder <andre.schroeder@tomtom.com>  Thu, 16 Apr 2020 16:00:00 -0000

ros-humble-rviz-satellite (1.3.0-1bookworm) bookworm; urgency=high

  * Fix setting the fixed frame
  * Fix race when reading the blocks property
  * Set tile fetching preference to cache
  * Remove the robot frame property. Instead use the frame from the NavSatFix topic
  * Fix demo.launch
  * Fix uninitialized variable

 -- Andre Schröder <andre.schroeder@tomtom.com>  Thu, 16 Apr 2020 16:00:00 -0000

ros-humble-rviz-satellite (1.2.0-1bookworm) bookworm; urgency=high

  * Rewrite of the tile loader
  * Display an error if the tile server is invalid
  * Move map towards the robot's z-position
  * Use XDG cache path for caching tiles
  * Incorporate orientation of tile frame when rendering map

 -- Andre Schröder <andre.schroeder@tomtom.com>  Wed, 06 Mar 2019 16:00:00 -0000

ros-humble-rviz-satellite (1.1.0-1bookworm) bookworm; urgency=high

  * Integrate package version via CMake
  * Detect Qt 5 automatically, adding support for ROS Lunar, Melodic, et al
  * Remove unused opencv linking

 -- Andre Schröder <andre.schroeder@tomtom.com>  Mon, 03 Dec 2018 16:00:00 -0000

ros-humble-rviz-satellite (1.0.0-1bookworm) bookworm; urgency=high

  * Initial release

 -- Andre Schröder <andre.schroeder@tomtom.com>  Wed, 07 Nov 2018 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rviz-satellite
Section: misc
Priority: optional
Maintainer: Andre Schröder <andre.schroeder@tomtom.com>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-angles, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rviz-common, ros-humble-rviz-default-plugins, ros-humble-sensor-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rviz-satellite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-angles, ros-humble-rclcpp, ros-humble-rcpputils, ros-humble-rviz-common, ros-humble-rviz-default-plugins, ros-humble-sensor-msgs, ros-humble-tf2-ros, ros-humble-ros-workspace
Description: Display satellite map tiles in RViz

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-satellite//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-satellite//opt/ros/humble/opt/rviz_satellite/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
